Subject: Re: [PATCH] Add date format --local-zone

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 25 Apr 2007 02:44:51 -0400

Junio C Hamano <[email-masked]> wrote:
> This adds --local-zone option to log family of commands, to
> display timestamps in user's local timezone.
> 
> Signed-off-by: Junio C Hamano <[email-masked]>
> ---
> 
>  * I got tired of looking at +0000 timestamps on commits
>    imported from CVS at day-job.  Does not seem to break
>    existing tests, but I am not sure if this is useful.

Not only is it useful, I'd like to see a way to make it my default!
(By my default here I mean a .gitconfig thing that I can set,
but not making it the git out-of-the-box default.)

I don't like looking at timestamps in other people's timezones.
If git-log is going to go through the motions of performing unicode
translations for my tty, and indent messages, and convert the epoch
seconds to a human readable date, it most certainly can be nice and
put the times into my default frame of reference.  Which is whatever
my congresscritters have decided the time is this month...  ;-)

-- 
Shawn.